Bug 1657624 - [admin] The order for image deployment namespace selection list is a mess
Summary: [admin] The order for image deployment namespace selection list is a mess
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 06:31 UTC by XiaochuanWang
Modified: 2018-12-19 23:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-19 23:09:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description XiaochuanWang 2018-12-10 06:31:49 UTC
Description of problem:
User want to select a project when deploy from namespace/image, the project selection list is a mess.

Version-Release number of selected component (if applicable):
openshift/console repo with latest commit:
8d1d10b645d7c80bd6a6a1de39656bda4069dd52

How reproducible:
Always

Steps to Reproduce:
1. Cluster-admin login and go to Deployment Configs page.
2. Select Create -> From Image
3. Check the list of Namespace.

Actual results:
The order of projects is a mess.

Expected results:
The order of projects should follow the same rule as Projects/Namespaces page.

Additional info:

Comment 1 Robb Hamilton 2018-12-11 15:27:39 UTC
PR to resolve: https://github.com/openshift/console/pull/932

Comment 2 XiaochuanWang 2018-12-19 09:37:42 UTC
Project order is correct. 
Verified on the commit of openshift/console: 62b9c7fd397f70d1064ca107b66af3a093a1742b


Note You need to log in before you can comment on or make changes to this bug.